---
title: Getting Started
---

# Overview

The js-stellar-base library is the lowest-level stellar helper library. It can be used in a browser or in node.js. It is mainly used to read, create and
sign [transactions](https://developers.stellar.org/docs/glossary/transactions/). This library is used and exposed by
[js-stellar-sdk](https://github.com/stellar/js-stellar-sdk) but you can use it by itself if you don't need to communicate with Horizon.

* [Building and Installing](../README.md) js-stellar-base
* [Building Transactions](./reference/building-transactions.md)
* [Examples](./reference/base-examples.md)

js-stellar-base exposes the following classes:
* [Account](https://github.com/stellar/js-stellar-base/blob/master/src/account.js)
* [Asset](https://github.com/stellar/js-stellar-base/blob/master/src/asset.js)
* [Keypair](https://github.com/stellar/js-stellar-base/blob/master/src/keypair.js)
* [Memo](https://github.com/stellar/js-stellar-base/blob/master/src/memo.js)
* [Operation](https://github.com/stellar/js-stellar-base/blob/master/src/operation.js)
* [Transaction](https://github.com/stellar/js-stellar-base/blob/master/src/transaction.js)
* [TransactionBuilder](https://github.com/stellar/js-stellar-base/blob/master/src/transaction_builder.js)








